Bug 849318 - __ext4_handle_dirty_metadata+0x83/0x110 crash
__ext4_handle_dirty_metadata+0x83/0x110 crash
Status: CLOSED DUPLICATE of bug 848000
Product: Fedora
Classification: Fedora
Component: 0xFFFF (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-18 06:17 EDT by Kjetil Matheussen
Modified: 2014-03-16 23:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 08:59:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjetil Matheussen 2012-08-18 06:17:38 EDT
Description of problem:

Linux crashed when moving a 25GB file from one ext4 partition to another.

[kjetil@ttlush temp]$ uname -a
Linux ttlush.localdomain 3.5.2-1.fc17.x86_64 #1 SMP Wed Aug 15 16:09:27 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

It's the same problem as reported here:
http://www.spinics.net/lists/linux-ext4/msg33517.html

I hit this bug the day after installing fedora 17. Seems like there is a fix in the thread above.
Comment 1 Kjetil Matheussen 2012-08-18 07:22:07 EDT
Aug 18 10:53:05 ttlush kernel: [ 5761.828626] BUG: unable to handle kernel NULL pointer dereference at 0000000000000028
Aug 18 10:53:05 ttlush kernel: [ 5761.828643] IP: [<ffffffff81233194>] ext4_ext_remove_space+0xa34/0xdf0
Aug 18 10:53:05 ttlush kernel: [ 5761.828654] PGD 1fef4f067 PUD 243f05067 PMD 0 
Aug 18 10:53:05 ttlush kernel: [ 5761.828661] Oops: 0000 [#1] SMP 
Aug 18 10:53:05 ttlush kernel: [ 5761.828666] CPU 3 
Aug 18 10:53:05 ttlush kernel: [ 5761.828669] Modules linked in: vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) snd_hrtimer snd_seq_midi snd_seq_midi_event snd_seq_dummy fuse snd_seq bnep bluetooth rfkill tpm_bios nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables binfmt_misc coretemp kvm_intel kvm microcode serio_raw i2c_i801 snd_ice1712 snd_cs8427 snd_i2c snd_ice17xx_ak4xxx snd_ak4xxx_adda snd_ac97_codec ac97_bus snd_mpu401_uart snd_rawmidi snd_seq_device snd_pcm snd_page_alloc snd_timer snd soundcore lpc_ich mfd_core r8169 mii i7core_edac edac_core uinput asus_atk0110 crc32c_intel nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core [last unloaded: scsi_wait_scan]
Aug 18 10:53:05 ttlush kernel: [ 5761.828772] 
Aug 18 10:53:05 ttlush kernel: [ 5761.828774] Pid: 13184, comm: mv Tainted: G         C O 3.5.2-1.fc17.x86_64 #1 System manufacturer System Product Name/P6T SE
Aug 18 10:53:05 ttlush kernel: [ 5761.828784] RIP: 0010:[<ffffffff81233194>]  [<ffffffff81233194>] ext4_ext_remove_space+0xa34/0xdf0
Aug 18 10:53:05 ttlush kernel: [ 5761.828926] RSP: 0018:ffff8801fed15c98  EFLAGS: 00010246
Aug 18 10:53:05 ttlush kernel: [ 5761.828930] RAX: 0000000000000000 RBX: ffff8801f84268c0 RCX: 00000000148aa000
Aug 18 10:53:05 ttlush kernel: [ 5761.828935] RDX: 0000000000000001 RSI: 0000000000000002 RDI: ffff88031da18400
Aug 18 10:53:05 ttlush kernel: [ 5761.828940] RBP: ffff8801fed15d88 R08: 00000000148aa000 R09: ffff88026168d8c0
Aug 18 10:53:05 ttlush kernel: [ 5761.828944] R10: 000000006162a801 R11: 0000000000000000 R12: 0000000000000001
Aug 18 10:53:05 ttlush kernel: [ 5761.828950] R13: ffff88026168d8f0 R14: 0000000000000000 R15: ffff8801f84268c0
Aug 18 10:53:05 ttlush kernel: [ 5761.828955] FS:  00007fc403578800(0000) GS:ffff88033fc60000(0000) knlGS:0000000000000000
Aug 18 10:53:05 ttlush kernel: [ 5761.828961] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Aug 18 10:53:05 ttlush kernel: [ 5761.828969] CR2: 0000000000000028 CR3: 000000022dfd4000 CR4: 00000000000007e0
Aug 18 10:53:05 ttlush kernel: [ 5761.828981] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 18 10:53:05 ttlush kernel: [ 5761.828991] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 18 10:53:05 ttlush kernel: [ 5761.829000] Process mv (pid: 13184, threadinfo ffff8801fed14000, task ffff88022b68dc40)
Aug 18 10:53:05 ttlush kernel: [ 5761.829009] Stack:
Aug 18 10:53:05 ttlush kernel: [ 5761.829014]  ffff8801fed15cd8 ffffffff812364b3 ffff8801fed15ce8 ffff8801f84268c0
Aug 18 10:53:05 ttlush kernel: [ 5761.829031]  ffff880229cf2800 ffff880100000002 ffff8801f84a9958 ffff8801f8426810
Aug 18 10:53:05 ttlush kernel: [ 5761.829045]  ffff88032b40b000 ffff88026168d920 00000000ffffffff ffff88026162b1c8
Aug 18 10:53:05 ttlush kernel: [ 5761.829061] Call Trace:
Aug 18 10:53:05 ttlush kernel: [ 5761.829066]  [<ffffffff812364b3>] ? __ext4_handle_dirty_metadata+0x83/0x110
Aug 18 10:53:05 ttlush kernel: [ 5761.829076]  [<ffffffff81235403>] ext4_ext_truncate+0x193/0x1d0
Aug 18 10:53:05 ttlush kernel: [ 5761.829086]  [<ffffffff8120a8ff>] ? ext4_mark_inode_dirty+0x7f/0x1f0
Aug 18 10:53:05 ttlush kernel: [ 5761.829095]  [<ffffffff81207e35>] ext4_truncate+0xf5/0x100
Aug 18 10:53:05 ttlush kernel: [ 5761.829103]  [<ffffffff8120cd81>] ext4_evict_inode+0x461/0x490
Aug 18 10:53:05 ttlush kernel: [ 5761.829112]  [<ffffffff811a1342>] evict+0xa2/0x1a0
Aug 18 10:53:05 ttlush kernel: [ 5761.829119]  [<ffffffff811a1543>] iput+0x103/0x1f0
Aug 18 10:53:05 ttlush kernel: [ 5761.829125]  [<ffffffff81196db4>] do_unlinkat+0x154/0x1c0
Aug 18 10:53:05 ttlush kernel: [ 5761.829133]  [<ffffffff810d358c>] ? __audit_syscall_entry+0xcc/0x300
Aug 18 10:53:05 ttlush kernel: [ 5761.829143]  [<ffffffff810d3bac>] ? __audit_syscall_exit+0x3ec/0x450
Aug 18 10:53:05 ttlush kernel: [ 5761.829156]  [<ffffffff81197b3b>] sys_unlinkat+0x1b/0x50
Aug 18 10:53:05 ttlush kernel: [ 5761.829165]  [<ffffffff816148e9>] system_call_fastpath+0x16/0x1b
Aug 18 10:53:05 ttlush kernel: [ 5761.829708] Code: 8b 4d 20 0f b7 41 02 48 8d 04 40 48 8d 04 81 49 89 45 18 0f b7 49 02 48 83 c1 01 49 89 4d 00 e9 ae f8 ff ff 0f 1f 00 49 8b 45 28 <48> 8b 40 28 49 89 45 20 e9 85 f8 ff ff 0f 1f 80 00 00 00 00 0f 
Aug 18 10:53:05 ttlush kernel: [ 5761.830760] RIP  [<ffffffff81233194>] ext4_ext_remove_space+0xa34/0xdf0
Aug 18 10:53:05 ttlush kernel: [ 5761.831254]  RSP <ffff8801fed15c98>
Aug 18 10:53:05 ttlush kernel: [ 5761.831746] CR2: 0000000000000028
Aug 18 10:53:05 ttlush kernel: [ 5761.891927] [drm] nouveau 0000:03:00.0: no native mode, forcing panel scaling
Aug 18 10:53:05 ttlush kernel: [ 5761.910748] ---[ end trace 6f60d63199c55e65 ]---
Comment 2 Kjetil Matheussen 2012-08-20 08:59:47 EDT

*** This bug has been marked as a duplicate of bug 848000 ***

Note You need to log in before you can comment on or make changes to this bug.